<!DOCTYPE html>
<html>
<title>OAuth - auth code</title>
<meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="/assets/w3.css">
<link rel="stylesheet" href="/assets/theme.css">
<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Open+Sans'>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
html, body, h1, h2, h3, h4, h5 {font-family: "Open Sans", sans-serif}
</style>
<body class="w3-theme-l5">

<!-- Navbar -->
<div class="w3-top">
 <div class="w3-bar w3-theme-d2 w3-left-align w3-large">
  <a class="w3-bar-item w3-button w3-hide-medium w3-hide-large w3-right w3-padding-large w3-hover-white w3-large w3-theme-d2" href="javascript:void(0);" onclick="openNav()"><i class="fa fa-bars"></i></a>
  <a href="#" class="w3-bar-item w3-button w3-padding-large w3-theme-d4"><i class="fa fa-home w3-margin-right"></i>
    OAuth - Authorization Code flow
  </a>
 </div>
</div>


<!-- Page Container -->
<div class="w3-container w3-content" style="max-width:1400px;margin-top:80px">    
  <!-- The Grid -->
  <div class="w3-row">
    <!-- Left Column -->
    <div class="w3-col m3">
      <!-- Profile -->
      <div class="w3-card w3-round w3-white">
        <div class="w3-container">
         <h4 class="w3-center">OAuth Panel</h4>
         <hr>
         <p><i class="fa fa-shield fa-fw w3-margin-right w3-text-theme"></i> Status: 
        <em><%= data.jwt ? 'authenticated' : data.err ? 'error' : 'not authenticated' %></em></p>
        </div>
      </div>
        <div class="w3-white">
          <a href="/auth/perform-login" class="w3-button w3-block w3-theme-l1 w3-left-align"><i class="fa fa-circle-o-notch fa-fw w3-margin-right"></i> authenticate</a>
          <a href="/clear" class="w3-button w3-block w3-theme-l1 w3-left-align"><i class="fa fa-sign-out fa-fw w3-margin-right"></i> clear</a>
  </div>
<br>
      
      <!-- End Left Column -->
    </div>
    
    <!-- Middle Column -->
    <div class="w3-col m9">
    
      <div class="w3-row-padding ">
        <div class="w3-col m12">
          <div class="w3-card w3-round w3-white">
            <div class="w3-container w3-padding">
              <h4 class="w3-opacity">Flow</h6>
            </div>
          </div>
        </div>
      </div>

      <!--<div class="w3-container w3-card w3-white w3-round w3-margin">
              <h6 class="w3-opacity">All data</h6>
              <hr />
              <textarea
                class="w3-border w3-padding" style="width: 100%; height: 300px;" readonly
                  ><%= JSON.stringify(data, null, 2) %></textarea>
            </div>
-->

      <% if (!data.authParams && !data.url) { %>
      <div class="w3-row-padding w3-container ">
        <h6 class="w3-opacity">NO DATA</h6>
      </div>
     <% } %>

 
      <% if (data.error) { %>
      <div class="w3-row-padding w3-container w3-card w3-white w3-round w3-margin">
        <h6 class="w3-opacity">Error</h6>
        <hr />
        <textarea
          class="w3-border w3-padding" style="width: 100%; height: 300px;" readonly
            ><%= JSON.stringify(data.error, null, 2) %></textarea>
      </div>
     <% } %> 


      <% if (data.authUrl) { %>
      <div class="w3-container w3-card w3-white w3-round w3-margin">
        <h6 class="w3-opacity">Authentication URL</h6>
        <hr />
        
        <textarea
          class="w3-border w3-padding" style="width: 100%; height: 6em;" readonly
          ><%= data.authUrl %></textarea>
        <hr />
        <p class="w3-padding" >Query string:</p>
        <textarea
          class="w3-border w3-padding" style="width: 100%; height: 14em;" readonly
            ><%= JSON.stringify(data.authParams, null, 2) %></textarea>
        <hr />
        <p class="w3-padding" >Response</p>
        <textarea
          class="w3-border w3-padding" style="width: 100%; height: 14em;" readonly
                ><%= JSON.stringify(data.auth_response, null, 2) %></textarea>
      </div>
     <% } %> 


      <% if (data.token_params) { %>
      <div class="w3-container w3-card w3-white w3-round w3-margin">
        <h6 class="w3-opacity">Authorization code request</h6>
        <hr />
        <textarea
          class="w3-border w3-padding" style="width: 100%; height: 14em;" readonly
            ><%= JSON.stringify(data.token_params, null, 2) %></textarea>
        <hr />
        <h6 class="w3-opacity">Authorization code Response</h6>
        <textarea
          class="w3-border w3-padding" style="width: 100%; height: 20em;" readonly
            ><%= JSON.stringify(data.token_response, null, 2) %></textarea>
      </div>
     <% } %> 
      
      <% if (data.jwt) { %>
      <div class="w3-container w3-card w3-white w3-round w3-margin">
        <h6 class="w3-opacity">JWT</h6>
        <hr />
        <textarea
          class="w3-border w3-padding" style="width: 100%; height: 13em;" readonly
            ><%= data.token_response.id_token %></textarea>
        <hr />
        <h6 class="w3-opacity">Decoded JWT</h6>
        <textarea
          class="w3-border w3-padding" style="width: 100%; height: 20em;" readonly
            ><%= JSON.stringify(data.jwt, null, 2) %></textarea>
      </div>
     <% } %> 
    <!-- End Middle Column -->
    </div>
    
    
  <!-- End Grid -->
  </div>
  
<!-- End Page Container -->
</div>
<br>

<!-- Footer -->
<footer class="w3-container w3-theme-d3 w3-padding-16">
  <h5>OAuth sample</h5>
</footer>

 
<script>


</script>

</body>
</html> 

